0
$\begingroup$

I have installed rivery library and write the adaptiverandomforestregression program to apply onlinelearning and I am getting errror that AttributeError: module 'river.ensemble' has no attribute 'AdaptiveRandomForestRegressor'. i have installed all the basic libraries and getting atribute error. Could you please suggest me a solution.

enter image description here

$\endgroup$

1 Answer 1

2
$\begingroup$

What version of the river package are you using? If you check the documentation, you will see that the AdaptiveRandomForestRegressor class was moved from ensemble to forest in v0.15. See this page in the documentation for the new class.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.